<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml">
   <head>
      <meta charset="utf-8" />
      <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1" />
      <meta name="description" content="" />
      <meta name="author" content="" />
      <!--[if IE]>
      <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
      <![endif]-->
      <title>Chat</title>
      <!-- BOOTSTRAP CORE STYLE CSS -->
      <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css" integrity="sha384-BVYiiSIFeK1dGmJRAkycuHAHRg32OmUcww7on3RYdg4Va+PmSTsz/K68vbdEjh4u" crossorigin="anonymous">
   </head>
   <body style="font-family:Verdana">
      <div v-if="userId" class="container">
         <div class="row " style="padding-top:40px;">
            <div class="col-md-8">
               <div v-if="currentChat" class="panel panel-info">
                  <div class="panel-heading">
                     Chat with {{currentChat.username}}
                  </div>
                  <div class="panel-body">
                     <ul class="media-list">
                        <li class="media" v-for="msg in messages">
                           <div class="media-body">
                              <div class="media">
                              
                                 <div class="media-body" >
                                    <b>{{ msg.senderId == userId ? 'You' : currentChat.username}} | {{msg.createdAt}}</b>
                                    <br />
                                    {{msg.text}}
                                    
                                    
                                    <hr />
                                 </div>
                              </div>
                           </div>
                        </li>
                
                     </ul>
                  </div>
                  <div class="panel-footer">
                     <form v-on:submit="sendMsg">
                     <div class="input-group">
                        <input type="text" class="form-control" v-model="msg" placeholder="Enter Message" />
                        <span class="input-group-btn">
                        <button class="btn btn-info" :disabled="!msg" type="submit">SEND</button>
                        </span>
                     </div>
                     </form>
                  </div>
               </div>

               <div v-if="!currentChat" class="panel panel-info">
                 
                  <div class="panel-heading">
                     ###
                  </div>
                  <div class="panel-body">
                     <p>Choose user for chat</p>
                  </div>
               </div>
            </div>
            <div class="col-md-4">
               <div class="panel panel-primary">
                  <div class="panel-heading">
                     USERS
                  </div>
                  <div class="panel-body">
                     <ul class="media-list">
                        <li class="media" v-for="user in users">
                           <div class="media-body">
                              <div class="media">
                                 <div class="media-body" >
                                    <a v-if="userId != user.id" href="#" v-on:click="setCurrentChat(user)">{{user.username}}</a>
                                    <span v-if="userId == user.id" href="#">{{user.username}} (It is you)</span>
                                 </div>
                              </div>
                           </div>
                        </li>
     
                     </ul>
                  </div>
               </div>
            </div>
         </div>
      </div>

      <div class="row">
      <div class="col-md-5"></div>
      <div class="col-md-2" v-if="!userId">
         <input type="text" name="username" class="form-control" v-model="username" placeholder="Enter your username..." style="margin: 100px 0px 10px 0px;">
         <button class="btn btn-info btn-block" :disabled="!username" v-on:click="enterToChat">Enter</button>
      </div>
      <div class="col-md-5"></div>
      </div>
      <script src="https://code.jquery.com/jquery-3.1.1.min.js" integrity="sha256-hVVnYaiADRTO2PzUGmuLJr8BLUSjGIZsDYGmIJLv2b8=" crossorigin="anonymous"></script>
      <script type="text/javascript" src="/javascripts/socket.io.min.js"></script>
      <script type="text/javascript" src="https://unpkg.com/vue@1.0.28/dist/vue.js"></script>
      <script type="text/javascript" src="/javascripts/client.js"></script>
   </body>
</html>